/* eslint-disable */

import React from 'react';
import { Svg, Path } from 'react-native-svg';
import { getIconColor } from './helper';

let IconGerenzhongxin = ({ size, color, ...rest }) => {
  return (
    <Svg viewBox="0 0 1024 1024" width={size} height={size} {...rest}>
      <Path
        d="M512 128a144 144 0 0 1 144 144v80a144 144 0 0 1-288 0v-80a144 144 0 0 1 144-144z m112 416c150.224 0 272 121.776 272 272v80H128v-80c0-150.224 121.776-272 272-272h224z"
        fill={getIconColor(color, 0, '#4581FF')}
      />
    </Svg>
  );
};

IconGerenzhongxin.defaultProps = {
  size: 18,
};

IconGerenzhongxin = React.memo ? React.memo(IconGerenzhongxin) : IconGerenzhongxin;

export default IconGerenzhongxin;
