/* eslint-disable */

import React from 'react';
import { Svg, Path } from 'react-native-svg';
import { getIconColor } from './helper';

let IconMadanguanli = ({ size, color, ...rest }) => {
  return (
    <Svg viewBox="0 0 1024 1024" width={size} height={size} {...rest}>
      <Path
        d="M128 128m32 0l288 0q32 0 32 32l0 288q0 32-32 32l-288 0q-32 0-32-32l0-288q0-32 32-32Z"
        fill={getIconColor(color, 0, '#4581FF')}
      />
      <Path
        d="M544 128m32 0l288 0q32 0 32 32l0 288q0 32-32 32l-288 0q-32 0-32-32l0-288q0-32 32-32Z"
        fill={getIconColor(color, 1, '#4581FF')}
      />
      <Path
        d="M128 544m32 0l288 0q32 0 32 32l0 288q0 32-32 32l-288 0q-32 0-32-32l0-288q0-32 32-32Z"
        fill={getIconColor(color, 2, '#4581FF')}
      />
      <Path
        d="M544 544m32 0l80 0q32 0 32 32l0 288q0 32-32 32l-80 0q-32 0-32-32l0-288q0-32 32-32Z"
        fill={getIconColor(color, 3, '#4581FF')}
        opacity=".6"
      />
      <Path
        d="M752 544m32 0l80 0q32 0 32 32l0 288q0 32-32 32l-80 0q-32 0-32-32l0-288q0-32 32-32Z"
        fill={getIconColor(color, 4, '#4581FF')}
        opacity=".6"
      />
    </Svg>
  );
};

IconMadanguanli.defaultProps = {
  size: 18,
};

IconMadanguanli = React.memo ? React.memo(IconMadanguanli) : IconMadanguanli;

export default IconMadanguanli;
