/* eslint-disable */

import React from 'react';
import { Svg, Path } from 'react-native-svg';
import { getIconColor } from './helper';

let IconPandiansaoma = ({ size, color, ...rest }) => {
  return (
    <Svg viewBox="0 0 1024 1024" width={size} height={size} {...rest}>
      <Path
        d="M224 128h304v768H224a96 96 0 0 1-96-96V224a96 96 0 0 1 96-96z"
        fill={getIconColor(color, 0, '#4581FF')}
        opacity=".4"
      />
      <Path
        d="M128 480h768v64H128zM896 656v208a32 32 0 0 1-32 32H656l-0.016-64H832V656h64z m-704 0v176h175.984L368 896H160a32 32 0 0 1-32-32V656h64zM864 128a32 32 0 0 1 32 32v208h-64V192H655.984L656 128h208zM128 160a32 32 0 0 1 32-32h208l-0.016 64H192v176H128V160z"
        fill={getIconColor(color, 1, '#4581FF')}
      />
    </Svg>
  );
};

IconPandiansaoma.defaultProps = {
  size: 18,
};

IconPandiansaoma = React.memo ? React.memo(IconPandiansaoma) : IconPandiansaoma;

export default IconPandiansaoma;
