/* eslint-disable */

import React from 'react';
import { Svg, Path } from 'react-native-svg';
import { getIconColor } from './helper';

let IconYangpinduibi = ({ size, color, ...rest }) => {
  return (
    <Svg viewBox="0 0 1024 1024" width={size} height={size} {...rest}>
      <Path
        d="M528 80a32 32 0 0 1 32 32v800a32 32 0 0 1-32 32h-32a32 32 0 0 1-32-32v-64H160a32 32 0 0 1-32-32V208a32 32 0 0 1 32-32h304V112a32 32 0 0 1 32-32h32z"
        fill={getIconColor(color, 0, '#4581FF')}
      />
      <Path
        d="M560 176h304a32 32 0 0 1 32 32v608a32 32 0 0 1-32 32H560V176z"
        fill={getIconColor(color, 1, '#4581FF')}
        opacity=".4"
      />
    </Svg>
  );
};

IconYangpinduibi.defaultProps = {
  size: 18,
};

IconYangpinduibi = React.memo ? React.memo(IconYangpinduibi) : IconYangpinduibi;

export default IconYangpinduibi;
